# eoSequentialSelect< EOT > Class Template Reference

All Individuals in order. More...

`#include <eoSequentialSelect.h>`

Inheritance diagram for eoSequentialSelect< EOT >:

List of all members.

## Public Member Functions

| eoSequentialSelect (bool _ordered=true)
| Ctor: sets the current pter to numeric_limits<unsigned>::max() so init will take place first time not very elegant, maybe ...
void | setup (const eoPop< EOT > &_pop)
| virtual function to setup some population stats (for instance eoProportional can benefit greatly from this)
virtual const EOT & | operator() (const eoPop< EOT > &_pop)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

bool | ordered
unsigned | current
std::vector< const EOT * > | eoPters

## Detailed Description

### template<class EOT>
class eoSequentialSelect< EOT >

All Individuals in order.

Looping back to the beginning when exhausted, can be from best to worse, or in random order.

It is the eoSelectOne equivalent of eoDetSelect - though eoDetSelect always returns individuals from best to worst

Definition at line 52 of file eoSequentialSelect.h.

The documentation for this class was generated from the following file:

- eoSequentialSelect.h